import { Location } from 'history';
import { match as Match } from 'react-router';
import { Action } from 'redux';
import { LocationChangeAction } from './actions';
export interface RouterState<Params = Record<string, string>> {
    location: Location;
    match?: Match<Params>;
}
export declare function routerReducer(state: RouterState<Record<string, string>> | null | undefined, action: Action | LocationChangeAction): RouterState | null;
